diff -urN ooo_DEV300_m77_src.orig/sw/source/ui/docvw/edtwin.cxx ooo_DEV300_m77_src/sw/source/ui/docvw/edtwin.cxx
--- ooo_DEV300_m77_src.orig/sw/source/ui/docvw/edtwin.cxx	2010-04-22 16:59:29.000000000 +0200
+++ ooo_DEV300_m77_src/sw/source/ui/docvw/edtwin.cxx	2010-04-22 17:00:35.000000000 +0200
@@ -1245,6 +1245,50 @@
     Beschreibung:   KeyEvents
  --------------------------------------------------------------------*/
 
+    enum SW_KeyState { KS_Start,
+                       KS_CheckKey, KS_InsChar, KS_InsTab,
+                       KS_NoNum, KS_NumOff, KS_NumOrNoNum, KS_NumDown, KS_NumUp,
+                       // -> #i23725#
+                       KS_NumIndentInc, KS_NumIndentDec,
+                       // <- #i23725#
+
+                       KS_OutlineLvOff,
+                       KS_NextCell, KS_PrevCell, KS_OutlineUp, KS_OutlineDown,
+                       KS_GlossaryExpand, KS_NextPrevGlossary,
+                       KS_AutoFmtByInput,
+                       KS_NextObject, KS_PrevObject,
+                       KS_KeyToView,
+                       KS_LaunchOLEObject, KS_GoIntoFly, KS_GoIntoDrawing,
+                       KS_EnterDrawHandleMode,
+                       KS_CheckDocReadOnlyKeys,
+                       KS_CheckAutoCorrect, KS_EditFormula,
+                       KS_ColLeftBig, KS_ColRightBig,
+                       KS_ColLeftSmall, KS_ColRightSmall,
+                       KS_ColTopBig, KS_ColBottomBig,
+                       KS_ColTopSmall, KS_ColBottomSmall,
+                       KS_CellLeftBig, KS_CellRightBig,
+                       KS_CellLeftSmall, KS_CellRightSmall,
+                       KS_CellTopBig, KS_CellBottomBig,
+                       KS_CellTopSmall, KS_CellBottomSmall,
+
+                       KS_InsDel_ColLeftBig, KS_InsDel_ColRightBig,
+                       KS_InsDel_ColLeftSmall, KS_InsDel_ColRightSmall,
+                       KS_InsDel_ColTopBig, KS_InsDel_ColBottomBig,
+                       KS_InsDel_ColTopSmall, KS_InsDel_ColBottomSmall,
+                       KS_InsDel_CellLeftBig, KS_InsDel_CellRightBig,
+                       KS_InsDel_CellLeftSmall, KS_InsDel_CellRightSmall,
+                       KS_InsDel_CellTopBig, KS_InsDel_CellBottomBig,
+                       KS_InsDel_CellTopSmall, KS_InsDel_CellBottomSmall,
+                       KS_TblColCellInsDel,
+
+                       KS_Fly_Change, KS_Draw_Change,
+                       KS_SpecialInsert,
+                       KS_EnterCharCell,
+                       KS_GotoNextFieldMark,
+                       KS_GotoPrevFieldMark,
+                       KS_Ende };
+
+
 
 
 void SwEditWin::KeyInput(const KeyEvent &rKEvt)
@@ -1428,50 +1472,6 @@
     BOOL bStopKeyInputTimer = TRUE;
     String sFmlEntry;
 
-    enum SW_KeyState { KS_Start,
-                       KS_CheckKey, KS_InsChar, KS_InsTab,
-                       KS_NoNum, KS_NumOff, KS_NumOrNoNum, KS_NumDown, KS_NumUp,
-                       // -> #i23725#
-                       KS_NumIndentInc, KS_NumIndentDec,
-                       // <- #i23725#
-
-                       KS_OutlineLvOff,
-                       KS_NextCell, KS_PrevCell, KS_OutlineUp, KS_OutlineDown,
-                       KS_GlossaryExpand, KS_NextPrevGlossary,
-                       KS_AutoFmtByInput,
-                       KS_NextObject, KS_PrevObject,
-                       KS_KeyToView,
-                       KS_LaunchOLEObject, KS_GoIntoFly, KS_GoIntoDrawing,
-                       KS_EnterDrawHandleMode,
-                       KS_CheckDocReadOnlyKeys,
-                       KS_CheckAutoCorrect, KS_EditFormula,
-                       KS_ColLeftBig, KS_ColRightBig,
-                       KS_ColLeftSmall, KS_ColRightSmall,
-                       KS_ColTopBig, KS_ColBottomBig,
-                       KS_ColTopSmall, KS_ColBottomSmall,
-                       KS_CellLeftBig, KS_CellRightBig,
-                       KS_CellLeftSmall, KS_CellRightSmall,
-                       KS_CellTopBig, KS_CellBottomBig,
-                       KS_CellTopSmall, KS_CellBottomSmall,
-
-                       KS_InsDel_ColLeftBig, KS_InsDel_ColRightBig,
-                       KS_InsDel_ColLeftSmall, KS_InsDel_ColRightSmall,
-                       KS_InsDel_ColTopBig, KS_InsDel_ColBottomBig,
-                       KS_InsDel_ColTopSmall, KS_InsDel_ColBottomSmall,
-                       KS_InsDel_CellLeftBig, KS_InsDel_CellRightBig,
-                       KS_InsDel_CellLeftSmall, KS_InsDel_CellRightSmall,
-                       KS_InsDel_CellTopBig, KS_InsDel_CellBottomBig,
-                       KS_InsDel_CellTopSmall, KS_InsDel_CellBottomSmall,
-                       KS_TblColCellInsDel,
-
-                       KS_Fly_Change, KS_Draw_Change,
-                       KS_SpecialInsert,
-                       KS_EnterCharCell,
-                       KS_GotoNextFieldMark,
-                       KS_GotoPrevFieldMark,
-                       KS_Ende };
-
-
 
     SW_KeyState eKeyState = bIsDocReadOnly ? KS_CheckDocReadOnlyKeys
                                            : KS_CheckKey,
